### Function

# FwupdPlugin kernel_parse_config

since: 1.9.6

#### Declaration [src]

    GHashTable*
    fu_kernel_parse_config (
      const gchar* buf,
      gsize bufsz,
      GError** error
    )

#### Description [src]

Parses all the kernel options into a hash table. Commented out options are not included.

Available since: 1.9.6

#### Parameters

`buf`

  Type: `const gchar*`

  Cmdline to parse.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`bufsz`

  Type: `gsize`

  Size of `bufsz`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GHashTable`

Config keys.

The caller of the function takes ownership of the data container, but not the data inside it.